@echo off
chcp 65001 >nul

echo --------------------------
echo MasterGo 本地缓存清理脚本V1.0
echo 无论浏览器访问MG还是使用MG客户端，都会在本地写有缓存，为了提高文件加载速度，但就会占用本地硬盘空间。
echo.
echo 使用场景：打开文件报错,字体无法加载,C盘空间不足
echo.
echo --------------------------
echo 作者: BOYSO
echo 微信: boysoman
echo 网站: https://boyso.com.cn
echo.

:: 获取当前登录用户名
set "USERNAME=%USERNAME%"

:: 使用系统盘符而不是硬编码C:\
set "TARGET_FOLDER=%SystemDrive%\Users\%USERNAME%\MasterGo"

:: 启用延迟变量扩展
setlocal enabledelayedexpansion

:: 定义缓存文件夹名称
set "CACHE_FOLDERS=cacheFonts fontsInfo pathSvg"

:: 设置标志位来跟踪是否找到并删除了任何文件夹
set "FOUND_ANY=0"

:: 遍历每个文件夹并删除
for %%F in (%CACHE_FOLDERS%) do (
    set "FOLDER_PATH=%TARGET_FOLDER%\%%F"
    if exist "!FOLDER_PATH!" (
        echo 正在删除文件夹: !FOLDER_PATH!
        rd /s /q "!FOLDER_PATH!"
        set "FOUND_ANY=1"
    ) else (
        echo 未找到文件夹: !FOLDER_PATH!
    )
)

echo.
if %FOUND_ANY%==1 (
    echo MG本地缓存清理成功！Cache folders processed successfully!
) else (
    echo 未找到任何MG缓存文件夹，无需清理。No MG cache folders found.
)
pause